source: squid-ssl/trunk/fuentes/helpers/external_acl/kerberos_ldap_group/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 22 months ago

Initial release

File size: 48.3 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17
18VPATH = @srcdir@
19am__is_gnu_make = { \
20  if test -z '$(MAKELEVEL)'; then \
21    false; \
22  elif test -n '$(MAKE_HOST)'; then \
23    true; \
24  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
25    true; \
26  else \
27    false; \
28  fi; \
29}
30am__make_running_with_option = \
31  case $${target_option-} in \
32      ?) ;; \
33      *) echo "am__make_running_with_option: internal error: invalid" \
34              "target option '$${target_option-}' specified" >&2; \
35         exit 1;; \
36  esac; \
37  has_opt=no; \
38  sane_makeflags=$$MAKEFLAGS; \
39  if $(am__is_gnu_make); then \
40    sane_makeflags=$$MFLAGS; \
41  else \
42    case $$MAKEFLAGS in \
43      *\\[\ \   ]*) \
44        bs=\\; \
45        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
46          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
47    esac; \
48  fi; \
49  skip_next=no; \
50  strip_trailopt () \
51  { \
52    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
53  }; \
54  for flg in $$sane_makeflags; do \
55    test $$skip_next = yes && { skip_next=no; continue; }; \
56    case $$flg in \
57      *=*|--*) continue;; \
58        -*I) strip_trailopt 'I'; skip_next=yes;; \
59      -*I?*) strip_trailopt 'I';; \
60        -*O) strip_trailopt 'O'; skip_next=yes;; \
61      -*O?*) strip_trailopt 'O';; \
62        -*l) strip_trailopt 'l'; skip_next=yes;; \
63      -*l?*) strip_trailopt 'l';; \
64      -[dEDm]) skip_next=yes;; \
65      -[JT]) skip_next=yes;; \
66    esac; \
67    case $$flg in \
68      *$$target_option*) has_opt=yes; break;; \
69    esac; \
70  done; \
71  test $$has_opt = yes
72am__make_dryrun = (target_option=n; $(am__make_running_with_option))
73am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
74pkgdatadir = $(datadir)/@PACKAGE@
75pkgincludedir = $(includedir)/@PACKAGE@
76pkglibdir = $(libdir)/@PACKAGE@
77pkglibexecdir = $(libexecdir)/@PACKAGE@
78am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
79install_sh_DATA = $(install_sh) -c -m 644
80install_sh_PROGRAM = $(install_sh) -c
81install_sh_SCRIPT = $(install_sh) -c
82INSTALL_HEADER = $(INSTALL_DATA)
83transform = $(program_transform_name)
84NORMAL_INSTALL = :
85PRE_INSTALL = :
86POST_INSTALL = :
87NORMAL_UNINSTALL = :
88PRE_UNINSTALL = :
89POST_UNINSTALL = :
90build_triplet = @build@
91host_triplet = @host@
92check_PROGRAMS =
93TESTS =
94@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
95libexec_PROGRAMS = ext_kerberos_ldap_group_acl$(EXEEXT)
96subdir = helpers/external_acl/kerberos_ldap_group
97ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
98am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
99        $(top_srcdir)/acinclude/init.m4 \
100        $(top_srcdir)/acinclude/squid-util.m4 \
101        $(top_srcdir)/acinclude/compiler-flags.m4 \
102        $(top_srcdir)/acinclude/os-deps.m4 \
103        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
104        $(top_srcdir)/acinclude/pkg.m4 \
105        $(top_srcdir)/acinclude/lib-checks.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
107        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
108        $(top_srcdir)/helpers/basic_auth/modules.m4 \
109        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
122        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/modules.m4 \
124        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
126        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
130        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
134        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
135        $(top_srcdir)/helpers/log_daemon/modules.m4 \
136        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
137        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
138        $(top_srcdir)/helpers/external_acl/modules.m4 \
139        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
142        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
143        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
144        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
146        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/session/required.m4 \
148        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
149        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
150        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
151        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
152        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
154        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
155        $(top_srcdir)/configure.ac
156am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
157        $(ACLOCAL_M4)
158DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
159mkinstalldirs = $(install_sh) -d
160CONFIG_HEADER = $(top_builddir)/include/autoconf.h
161CONFIG_CLEAN_FILES =
162CONFIG_CLEAN_VPATH_FILES =
163am__installdirs = "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(libexecdir)"
164PROGRAMS = $(libexec_PROGRAMS)
165am_ext_kerberos_ldap_group_acl_OBJECTS =  \
166        kerberos_ldap_group.$(OBJEXT) support_group.$(OBJEXT) \
167        support_netbios.$(OBJEXT) support_member.$(OBJEXT) \
168        support_krb5.$(OBJEXT) support_ldap.$(OBJEXT) \
169        support_sasl.$(OBJEXT) support_resolv.$(OBJEXT) \
170        support_lserver.$(OBJEXT) support_log.$(OBJEXT)
171ext_kerberos_ldap_group_acl_OBJECTS =  \
172        $(am_ext_kerberos_ldap_group_acl_OBJECTS)
173@ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
174am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
175        $(am__DEPENDENCIES_1)
176am__DEPENDENCIES_3 =
177ext_kerberos_ldap_group_acl_DEPENDENCIES =  \
178        $(top_builddir)/lib/libmiscencoding.la $(am__DEPENDENCIES_2) \
179        $(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3) \
180        $(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3) \
181        $(am__DEPENDENCIES_3)
182AM_V_lt = $(am__v_lt_@AM_V@)
183am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
184am__v_lt_0 = --silent
185am__v_lt_1 =
186ext_kerberos_ldap_group_acl_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
187        $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
188        $(AM_CXXFLAGS) $(CXXFLAGS) \
189        $(ext_kerberos_ldap_group_acl_LDFLAGS) $(LDFLAGS) -o $@
190am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
191am__vpath_adj = case $$p in \
192    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
193    *) f=$$p;; \
194  esac;
195am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
196am__install_max = 40
197am__nobase_strip_setup = \
198  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
199am__nobase_strip = \
200  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
201am__nobase_list = $(am__nobase_strip_setup); \
202  for p in $$list; do echo "$$p $$p"; done | \
203  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
204  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
205    if (++n[$$2] == $(am__install_max)) \
206      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
207    END { for (dir in files) print dir, files[dir] }'
208am__base_list = \
209  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
210  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
211am__uninstall_files_from_dir = { \
212  test -z "$$files" \
213    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
214    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
215         $(am__cd) "$$dir" && rm -f $$files; }; \
216  }
217SCRIPTS = $(libexec_SCRIPTS)
218AM_V_P = $(am__v_P_@AM_V@)
219am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
220am__v_P_0 = false
221am__v_P_1 = :
222AM_V_GEN = $(am__v_GEN_@AM_V@)
223am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
224am__v_GEN_0 = @echo "  GEN     " $@;
225am__v_GEN_1 =
226AM_V_at = $(am__v_at_@AM_V@)
227am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
228am__v_at_0 = @
229am__v_at_1 =
230DEFAULT_INCLUDES =
231depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
232am__depfiles_maybe = depfiles
233am__mv = mv -f
234CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
235        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
236LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
237        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
238        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
239        $(AM_CXXFLAGS) $(CXXFLAGS)
240AM_V_CXX = $(am__v_CXX_@AM_V@)
241am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
242am__v_CXX_0 = @echo "  CXX     " $@;
243am__v_CXX_1 =
244CXXLD = $(CXX)
245CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
246        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
247        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
248AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
249am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
250am__v_CXXLD_0 = @echo "  CXXLD   " $@;
251am__v_CXXLD_1 =
252COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
253        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
254LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
255        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
256        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
257        $(AM_CFLAGS) $(CFLAGS)
258AM_V_CC = $(am__v_CC_@AM_V@)
259am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
260am__v_CC_0 = @echo "  CC      " $@;
261am__v_CC_1 =
262CCLD = $(CC)
263LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
264        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
265        $(AM_LDFLAGS) $(LDFLAGS) -o $@
266AM_V_CCLD = $(am__v_CCLD_@AM_V@)
267am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
268am__v_CCLD_0 = @echo "  CCLD    " $@;
269am__v_CCLD_1 =
270SOURCES = $(ext_kerberos_ldap_group_acl_SOURCES)
271DIST_SOURCES = $(ext_kerberos_ldap_group_acl_SOURCES)
272RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
273        ctags-recursive dvi-recursive html-recursive info-recursive \
274        install-data-recursive install-dvi-recursive \
275        install-exec-recursive install-html-recursive \
276        install-info-recursive install-pdf-recursive \
277        install-ps-recursive install-recursive installcheck-recursive \
278        installdirs-recursive pdf-recursive ps-recursive \
279        tags-recursive uninstall-recursive
280am__can_run_installinfo = \
281  case $$AM_UPDATE_INFO_DIR in \
282    n|no|NO) false;; \
283    *) (install-info --version) >/dev/null 2>&1;; \
284  esac
285RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
286  distclean-recursive maintainer-clean-recursive
287am__recursive_targets = \
288  $(RECURSIVE_TARGETS) \
289  $(RECURSIVE_CLEAN_TARGETS) \
290  $(am__extra_recursive_targets)
291AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
292        check recheck distdir
293am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
294# Read a list of newline-separated strings from the standard input,
295# and print each of them once, without duplicates.  Input order is
296# *not* preserved.
297am__uniquify_input = $(AWK) '\
298  BEGIN { nonempty = 0; } \
299  { items[$$0] = 1; nonempty = 1; } \
300  END { if (nonempty) { for (i in items) print i; }; } \
301'
302# Make sure the list of sources is unique.  This is necessary because,
303# e.g., the same source file might be shared among _SOURCES variables
304# for different programs/libraries.
305am__define_uniq_tagged_files = \
306  list='$(am__tagged_files)'; \
307  unique=`for i in $$list; do \
308    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
309  done | $(am__uniquify_input)`
310ETAGS = etags
311CTAGS = ctags
312am__tty_colors_dummy = \
313  mgn= red= grn= lgn= blu= brg= std=; \
314  am__color_tests=no
315am__tty_colors = { \
316  $(am__tty_colors_dummy); \
317  if test "X$(AM_COLOR_TESTS)" = Xno; then \
318    am__color_tests=no; \
319  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
320    am__color_tests=yes; \
321  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
322    am__color_tests=yes; \
323  fi; \
324  if test $$am__color_tests = yes; then \
325    red='[0;31m'; \
326    grn='[0;32m'; \
327    lgn='[1;32m'; \
328    blu='[1;34m'; \
329    mgn='[0;35m'; \
330    brg='[1m'; \
331    std='[m'; \
332  fi; \
333}
334am__recheck_rx = ^[     ]*:recheck:[    ]*
335am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
336am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
337# A command that, given a newline-separated list of test names on the
338# standard input, print the name of the tests that are to be re-run
339# upon "make recheck".
340am__list_recheck_tests = $(AWK) '{ \
341  recheck = 1; \
342  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
343    { \
344      if (rc < 0) \
345        { \
346          if ((getline line2 < ($$0 ".log")) < 0) \
347            recheck = 0; \
348          break; \
349        } \
350      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
351        { \
352          recheck = 0; \
353          break; \
354        } \
355      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
356        { \
357          break; \
358        } \
359    }; \
360  if (recheck) \
361    print $$0; \
362  close ($$0 ".trs"); \
363  close ($$0 ".log"); \
364}'
365# A command that, given a newline-separated list of test names on the
366# standard input, create the global log from their .trs and .log files.
367am__create_global_log = $(AWK) ' \
368function fatal(msg) \
369{ \
370  print "fatal: making $@: " msg | "cat >&2"; \
371  exit 1; \
372} \
373function rst_section(header) \
374{ \
375  print header; \
376  len = length(header); \
377  for (i = 1; i <= len; i = i + 1) \
378    printf "="; \
379  printf "\n\n"; \
380} \
381{ \
382  copy_in_global_log = 1; \
383  global_test_result = "RUN"; \
384  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
385    { \
386      if (rc < 0) \
387         fatal("failed to read from " $$0 ".trs"); \
388      if (line ~ /$(am__global_test_result_rx)/) \
389        { \
390          sub("$(am__global_test_result_rx)", "", line); \
391          sub("[        ]*$$", "", line); \
392          global_test_result = line; \
393        } \
394      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
395        copy_in_global_log = 0; \
396    }; \
397  if (copy_in_global_log) \
398    { \
399      rst_section(global_test_result ": " $$0); \
400      while ((rc = (getline line < ($$0 ".log"))) != 0) \
401      { \
402        if (rc < 0) \
403          fatal("failed to read from " $$0 ".log"); \
404        print line; \
405      }; \
406      printf "\n"; \
407    }; \
408  close ($$0 ".trs"); \
409  close ($$0 ".log"); \
410}'
411# Restructured Text title.
412am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
413# Solaris 10 'make', and several other traditional 'make' implementations,
414# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
415# by disabling -e (using the XSI extension "set +e") if it's set.
416am__sh_e_setup = case $$- in *e*) set +e;; esac
417# Default flags passed to test drivers.
418am__common_driver_flags = \
419  --color-tests "$$am__color_tests" \
420  --enable-hard-errors "$$am__enable_hard_errors" \
421  --expect-failure "$$am__expect_failure"
422# To be inserted before the command running the test.  Creates the
423# directory for the log if needed.  Stores in $dir the directory
424# containing $f, in $tst the test, in $log the log.  Executes the
425# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
426# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
427# will run the test scripts (or their associated LOG_COMPILER, if
428# thy have one).
429am__check_pre = \
430$(am__sh_e_setup);                                      \
431$(am__vpath_adj_setup) $(am__vpath_adj)                 \
432$(am__tty_colors);                                      \
433srcdir=$(srcdir); export srcdir;                        \
434case "$@" in                                            \
435  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
436    *) am__odir=.;;                                     \
437esac;                                                   \
438test "x$$am__odir" = x"." || test -d "$$am__odir"       \
439  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
440if test -f "./$$f"; then dir=./;                        \
441elif test -f "$$f"; then dir=;                          \
442else dir="$(srcdir)/"; fi;                              \
443tst=$$dir$$f; log='$@';                                 \
444if test -n '$(DISABLE_HARD_ERRORS)'; then               \
445  am__enable_hard_errors=no;                            \
446else                                                    \
447  am__enable_hard_errors=yes;                           \
448fi;                                                     \
449case " $(XFAIL_TESTS) " in                              \
450  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
451    am__expect_failure=yes;;                            \
452  *)                                                    \
453    am__expect_failure=no;;                             \
454esac;                                                   \
455$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
456# A shell command to get the names of the tests scripts with any registered
457# extension removed (i.e., equivalently, the names of the test logs, with
458# the '.log' extension removed).  The result is saved in the shell variable
459# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
460# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
461# since that might cause problem with VPATH rewrites for suffix-less tests.
462# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
463am__set_TESTS_bases = \
464  bases='$(TEST_LOGS)'; \
465  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
466  bases=`echo $$bases`
467RECHECK_LOGS = $(TEST_LOGS)
468TEST_SUITE_LOG = test-suite.log
469TEST_EXTENSIONS = @EXEEXT@ .test
470am__test_logs1 = $(TESTS:=.log)
471am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
472TEST_LOGS = $(am__test_logs2:.test.log=.log)
473TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
474TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
475        $(TEST_LOG_FLAGS)
476am__set_b = \
477  case '$@' in \
478    */*) \
479      case '$*' in \
480        */*) b='$*';; \
481          *) b=`echo '$@' | sed 's/\.log$$//'`; \
482       esac;; \
483    *) \
484      b='$*';; \
485  esac
486DIST_SUBDIRS = $(SUBDIRS)
487am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
488        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
489        README
490DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
491am__relativize = \
492  dir0=`pwd`; \
493  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
494  sed_rest='s,^[^/]*/*,,'; \
495  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
496  sed_butlast='s,/*[^/]*$$,,'; \
497  while test -n "$$dir1"; do \
498    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
499    if test "$$first" != "."; then \
500      if test "$$first" = ".."; then \
501        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
502        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
503      else \
504        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
505        if test "$$first2" = "$$first"; then \
506          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
507        else \
508          dir2="../$$dir2"; \
509        fi; \
510        dir0="$$dir0"/"$$first"; \
511      fi; \
512    fi; \
513    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
514  done; \
515  reldir="$$dir2"
516ACLOCAL = @ACLOCAL@
517ADAPTATION_LIBS = @ADAPTATION_LIBS@
518ALLOCA = @ALLOCA@
519AMTAR = @AMTAR@
520AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
521AR = @AR@
522ARGZ_H = @ARGZ_H@
523AR_R = @AR_R@
524AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
525AUTH_MODULES = @AUTH_MODULES@
526AUTOCONF = @AUTOCONF@
527AUTOHEADER = @AUTOHEADER@
528AUTOMAKE = @AUTOMAKE@
529AWK = @AWK@
530BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
531BUILDCXX = @BUILDCXX@
532BUILDCXXFLAGS = @BUILDCXXFLAGS@
533BZR = @BZR@
534CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
535CC = @CC@
536CCDEPMODE = @CCDEPMODE@
537CFLAGS = @CFLAGS@
538CGIEXT = @CGIEXT@
539CHMOD = @CHMOD@
540CPP = @CPP@
541CPPFLAGS = @CPPFLAGS@
542CPPUNITCONFIG = @CPPUNITCONFIG@
543CRYPTLIB = @CRYPTLIB@
544CXX = @CXX@
545CXXCPP = @CXXCPP@
546CXXDEPMODE = @CXXDEPMODE@
547CXXFLAGS = @CXXFLAGS@
548CYGPATH_W = @CYGPATH_W@
549DEFAULT_HOSTS = @DEFAULT_HOSTS@
550DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
551DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
552DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
553DEFS = @DEFS@
554DEPDIR = @DEPDIR@
555DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
556DISK_LIBS = @DISK_LIBS@
557DISK_LINKOBJS = @DISK_LINKOBJS@
558DISK_MODULES = @DISK_MODULES@
559DISK_OS_LIBS = @DISK_OS_LIBS@
560DISK_PROGRAMS = @DISK_PROGRAMS@
561DLLTOOL = @DLLTOOL@
562DSYMUTIL = @DSYMUTIL@
563DUMPBIN = @DUMPBIN@
564ECAP_LIBS = @ECAP_LIBS@
565ECHO_C = @ECHO_C@
566ECHO_N = @ECHO_N@
567ECHO_T = @ECHO_T@
568EGREP = @EGREP@
569EPOLL_LIBS = @EPOLL_LIBS@
570EUILIB = @EUILIB@
571EXEEXT = @EXEEXT@
572EXPATLIB = @EXPATLIB@
573EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
574EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
575EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
576FALSE = @FALSE@
577FGREP = @FGREP@
578GREP = @GREP@
579HAVE_CXX11 = @HAVE_CXX11@
580ICAP_LIBS = @ICAP_LIBS@
581INCLTDL = @INCLTDL@
582INSTALL = @INSTALL@
583INSTALL_DATA = @INSTALL_DATA@
584INSTALL_PROGRAM = @INSTALL_PROGRAM@
585INSTALL_SCRIPT = @INSTALL_SCRIPT@
586INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
587KRB5INCS = @KRB5INCS@
588KRB5LIBS = @KRB5LIBS@
589LBERLIB = @LBERLIB@
590LD = @LD@
591LDAPLIB = @LDAPLIB@
592LDFLAGS = @LDFLAGS@
593LIBADD_DL = @LIBADD_DL@
594LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
595LIBADD_DLOPEN = @LIBADD_DLOPEN@
596LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
597LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
598LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
599LIBLTDL = @LIBLTDL@
600LIBOBJS = @LIBOBJS@
601LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
602LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
603LIBS = @LIBS@
604LIBSASL = @LIBSASL@
605LIBTOOL = @LIBTOOL@
606LIB_DB = @LIB_DB@
607LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
608LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
609LINUXDOC = @LINUXDOC@
610LIPO = @LIPO@
611LN = @LN@
612LN_S = @LN_S@
613LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
614LTDLDEPS = @LTDLDEPS@
615LTDLINCL = @LTDLINCL@
616LTDLOPEN = @LTDLOPEN@
617LTLIBOBJS = @LTLIBOBJS@
618LT_CONFIG_H = @LT_CONFIG_H@
619LT_DLLOADERS = @LT_DLLOADERS@
620LT_DLPREOPEN = @LT_DLPREOPEN@
621MAINT = @MAINT@
622MAKEINFO = @MAKEINFO@
623MANIFEST_TOOL = @MANIFEST_TOOL@
624MINGW_LIBS = @MINGW_LIBS@
625MKDIR = @MKDIR@
626MKDIR_P = @MKDIR_P@
627MV = @MV@
628NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
629NETTLELIB = @NETTLELIB@
630NM = @NM@
631NMEDIT = @NMEDIT@
632NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
633OBJDUMP = @OBJDUMP@
634OBJEXT = @OBJEXT@
635OTOOL = @OTOOL@
636OTOOL64 = @OTOOL64@
637PACKAGE = @PACKAGE@
638PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
639PACKAGE_NAME = @PACKAGE_NAME@
640PACKAGE_STRING = @PACKAGE_STRING@
641PACKAGE_TARNAME = @PACKAGE_TARNAME@
642PACKAGE_URL = @PACKAGE_URL@
643PACKAGE_VERSION = @PACKAGE_VERSION@
644PATH_SEPARATOR = @PATH_SEPARATOR@
645PERL = @PERL@
646PKG_CONFIG = @PKG_CONFIG@
647PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
648PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
649PO2HTML = @PO2HTML@
650PO2TEXT = @PO2TEXT@
651POD2MAN = @POD2MAN@
652RANLIB = @RANLIB@
653REGEXLIB = @REGEXLIB@
654REPL_LIBS = @REPL_LIBS@
655REPL_OBJS = @REPL_OBJS@
656REPL_POLICIES = @REPL_POLICIES@
657RM = @RM@
658SED = @SED@
659SET_MAKE = @SET_MAKE@
660SH = @SH@
661SHELL = @SHELL@
662SMBCLIENT = @SMBCLIENT@
663SNMPLIB = @SNMPLIB@
664SQUID_CFLAGS = @SQUID_CFLAGS@
665SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
666SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
667SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
668SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
669SSLLIB = @SSLLIB@
670STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
671STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
672STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
673STORE_TESTS = @STORE_TESTS@
674STRIP = @STRIP@
675TR = @TR@
676TRUE = @TRUE@
677URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
678VERSION = @VERSION@
679WBINFO = @WBINFO@
680WIN32_PSAPI = @WIN32_PSAPI@
681XMLLIB = @XMLLIB@
682XTRA_LIBS = @XTRA_LIBS@
683XTRA_OBJS = @XTRA_OBJS@
684abs_builddir = @abs_builddir@
685abs_srcdir = @abs_srcdir@
686abs_top_builddir = @abs_top_builddir@
687abs_top_srcdir = @abs_top_srcdir@
688ac_ct_AR = @ac_ct_AR@
689ac_ct_CC = @ac_ct_CC@
690ac_ct_CXX = @ac_ct_CXX@
691ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
692am__include = @am__include@
693am__leading_dot = @am__leading_dot@
694am__quote = @am__quote@
695am__tar = @am__tar@
696am__untar = @am__untar@
697bindir = @bindir@
698build = @build@
699build_alias = @build_alias@
700build_cpu = @build_cpu@
701build_os = @build_os@
702build_vendor = @build_vendor@
703builddir = @builddir@
704datadir = @datadir@
705datarootdir = @datarootdir@
706docdir = @docdir@
707dvidir = @dvidir@
708exec_prefix = @exec_prefix@
709host = @host@
710host_alias = @host_alias@
711host_cpu = @host_cpu@
712host_os = @host_os@
713host_vendor = @host_vendor@
714htmldir = @htmldir@
715includedir = @includedir@
716infodir = @infodir@
717install_sh = @install_sh@
718krb5_config = @krb5_config@
719libdir = @libdir@
720libexecdir = @libexecdir@
721localedir = @localedir@
722localstatedir = @localstatedir@
723ltdl_LIBOBJS = @ltdl_LIBOBJS@
724ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
725mandir = @mandir@
726mkdir_p = @mkdir_p@
727oldincludedir = @oldincludedir@
728pdfdir = @pdfdir@
729prefix = @prefix@
730program_transform_name = @program_transform_name@
731psdir = @psdir@
732runstatedir = @runstatedir@
733sbindir = @sbindir@
734sharedstatedir = @sharedstatedir@
735srcdir = @srcdir@
736subdirs = @subdirs@
737sys_symbol_underscore = @sys_symbol_underscore@
738sysconfdir = @sysconfdir@
739target_alias = @target_alias@
740top_build_prefix = @top_build_prefix@
741top_builddir = @top_builddir@
742top_srcdir = @top_srcdir@
743AM_CFLAGS = $(SQUID_CFLAGS)
744AM_CXXFLAGS = $(SQUID_CXXFLAGS)
745CLEANFILES =
746AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
747        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
748        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
749        $(am__append_1) -I$(srcdir)
750@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
751@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
752COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
753subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
754EXTRA_DIST = README required.m4 cert_tool ext_kerberos_ldap_group_acl.8
755SUBDIRS =
756libexec_SCRIPTS = cert_tool
757ext_kerberos_ldap_group_acl_SOURCES = \
758        kerberos_ldap_group.cc \
759        support.h \
760        support_group.cc \
761        support_netbios.cc \
762        support_member.cc \
763        support_krb5.cc \
764        support_ldap.cc \
765        support_sasl.cc \
766        support_resolv.cc \
767        support_lserver.cc \
768        support_log.cc
769
770ext_kerberos_ldap_group_acl_LDFLAGS =
771ext_kerberos_ldap_group_acl_LDADD = \
772        $(top_builddir)/lib/libmiscencoding.la \
773        $(COMPAT_LIB) \
774        $(LDAPLIB) \
775        $(LBERLIB) \
776        $(LIBSASL) \
777        $(KRB5LIBS) \
778        $(XTRA_LIBS)
779
780all: all-recursive
781
782.SUFFIXES:
783.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
784$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
785        @for dep in $?; do \
786          case '$(am__configure_deps)' in \
787            *$$dep*) \
788              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
789                && { if test -f $@; then exit 0; else break; fi; }; \
790              exit 1;; \
791          esac; \
792        done; \
793        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign helpers/external_acl/kerberos_ldap_group/Makefile'; \
794        $(am__cd) $(top_srcdir) && \
795          $(AUTOMAKE) --foreign helpers/external_acl/kerberos_ldap_group/Makefile
796Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
797        @case '$?' in \
798          *config.status*) \
799            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
800          *) \
801            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
802            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
803        esac;
804$(top_srcdir)/src/Common.am $(am__empty):
805
806$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
807        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
808
809$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
810        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
811$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
812        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
813$(am__aclocal_m4_deps):
814
815clean-checkPROGRAMS:
816        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
817        echo " rm -f" $$list; \
818        rm -f $$list || exit $$?; \
819        test -n "$(EXEEXT)" || exit 0; \
820        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
821        echo " rm -f" $$list; \
822        rm -f $$list
823install-libexecPROGRAMS: $(libexec_PROGRAMS)
824        @$(NORMAL_INSTALL)
825        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
826        if test -n "$$list"; then \
827          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
828          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
829        fi; \
830        for p in $$list; do echo "$$p $$p"; done | \
831        sed 's/$(EXEEXT)$$//' | \
832        while read p p1; do if test -f $$p \
833         || test -f $$p1 \
834          ; then echo "$$p"; echo "$$p"; else :; fi; \
835        done | \
836        sed -e 'p;s,.*/,,;n;h' \
837            -e 's|.*|.|' \
838            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
839        sed 'N;N;N;s,\n, ,g' | \
840        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
841          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
842            if ($$2 == $$4) files[d] = files[d] " " $$1; \
843            else { print "f", $$3 "/" $$4, $$1; } } \
844          END { for (d in files) print "f", d, files[d] }' | \
845        while read type dir files; do \
846            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
847            test -z "$$files" || { \
848            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
849            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
850            } \
851        ; done
852
853uninstall-libexecPROGRAMS:
854        @$(NORMAL_UNINSTALL)
855        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
856        files=`for p in $$list; do echo "$$p"; done | \
857          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
858              -e 's/$$/$(EXEEXT)/' \
859        `; \
860        test -n "$$list" || exit 0; \
861        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
862        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
863
864clean-libexecPROGRAMS:
865        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
866        echo " rm -f" $$list; \
867        rm -f $$list || exit $$?; \
868        test -n "$(EXEEXT)" || exit 0; \
869        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
870        echo " rm -f" $$list; \
871        rm -f $$list
872
873ext_kerberos_ldap_group_acl$(EXEEXT): $(ext_kerberos_ldap_group_acl_OBJECTS) $(ext_kerberos_ldap_group_acl_DEPENDENCIES) $(EXTRA_ext_kerberos_ldap_group_acl_DEPENDENCIES)
874        @rm -f ext_kerberos_ldap_group_acl$(EXEEXT)
875        $(AM_V_CXXLD)$(ext_kerberos_ldap_group_acl_LINK) $(ext_kerberos_ldap_group_acl_OBJECTS) $(ext_kerberos_ldap_group_acl_LDADD) $(LIBS)
876install-libexecSCRIPTS: $(libexec_SCRIPTS)
877        @$(NORMAL_INSTALL)
878        @list='$(libexec_SCRIPTS)'; test -n "$(libexecdir)" || list=; \
879        if test -n "$$list"; then \
880          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
881          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
882        fi; \
883        for p in $$list; do \
884          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
885          if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
886        done | \
887        sed -e 'p;s,.*/,,;n' \
888            -e 'h;s|.*|.|' \
889            -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
890        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
891          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
892            if ($$2 == $$4) { files[d] = files[d] " " $$1; \
893              if (++n[d] == $(am__install_max)) { \
894                print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
895            else { print "f", d "/" $$4, $$1 } } \
896          END { for (d in files) print "f", d, files[d] }' | \
897        while read type dir files; do \
898             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
899             test -z "$$files" || { \
900               echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
901               $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
902             } \
903        ; done
904
905uninstall-libexecSCRIPTS:
906        @$(NORMAL_UNINSTALL)
907        @list='$(libexec_SCRIPTS)'; test -n "$(libexecdir)" || exit 0; \
908        files=`for p in $$list; do echo "$$p"; done | \
909               sed -e 's,.*/,,;$(transform)'`; \
910        dir='$(DESTDIR)$(libexecdir)'; $(am__uninstall_files_from_dir)
911
912mostlyclean-compile:
913        -rm -f *.$(OBJEXT)
914
915distclean-compile:
916        -rm -f *.tab.c
917
918@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kerberos_ldap_group.Po@am__quote@
919@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/support_group.Po@am__quote@
920@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/support_krb5.Po@am__quote@
921@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/support_ldap.Po@am__quote@
922@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/support_log.Po@am__quote@
923@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/support_lserver.Po@am__quote@
924@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/support_member.Po@am__quote@
925@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/support_netbios.Po@am__quote@
926@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/support_resolv.Po@am__quote@
927@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/support_sasl.Po@am__quote@
928
929.cc.o:
930@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
931@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
932@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
933@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
934@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
935@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
936
937.cc.obj:
938@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
939@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
940@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
941@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
942@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
943@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
944
945.cc.lo:
946@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
947@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
948@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
949@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
950@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
951@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
952
953mostlyclean-libtool:
954        -rm -f *.lo
955
956clean-libtool:
957        -rm -rf .libs _libs
958
959# This directory's subdirectories are mostly independent; you can cd
960# into them and run 'make' without going through this Makefile.
961# To change the values of 'make' variables: instead of editing Makefiles,
962# (1) if the variable is set in 'config.status', edit 'config.status'
963#     (which will cause the Makefiles to be regenerated when you run 'make');
964# (2) otherwise, pass the desired values on the 'make' command line.
965$(am__recursive_targets):
966        @fail=; \
967        if $(am__make_keepgoing); then \
968          failcom='fail=yes'; \
969        else \
970          failcom='exit 1'; \
971        fi; \
972        dot_seen=no; \
973        target=`echo $@ | sed s/-recursive//`; \
974        case "$@" in \
975          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
976          *) list='$(SUBDIRS)' ;; \
977        esac; \
978        for subdir in $$list; do \
979          echo "Making $$target in $$subdir"; \
980          if test "$$subdir" = "."; then \
981            dot_seen=yes; \
982            local_target="$$target-am"; \
983          else \
984            local_target="$$target"; \
985          fi; \
986          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
987          || eval $$failcom; \
988        done; \
989        if test "$$dot_seen" = "no"; then \
990          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
991        fi; test -z "$$fail"
992
993ID: $(am__tagged_files)
994        $(am__define_uniq_tagged_files); mkid -fID $$unique
995tags: tags-recursive
996TAGS: tags
997
998tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
999        set x; \
1000        here=`pwd`; \
1001        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
1002          include_option=--etags-include; \
1003          empty_fix=.; \
1004        else \
1005          include_option=--include; \
1006          empty_fix=; \
1007        fi; \
1008        list='$(SUBDIRS)'; for subdir in $$list; do \
1009          if test "$$subdir" = .; then :; else \
1010            test ! -f $$subdir/TAGS || \
1011              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
1012          fi; \
1013        done; \
1014        $(am__define_uniq_tagged_files); \
1015        shift; \
1016        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1017          test -n "$$unique" || unique=$$empty_fix; \
1018          if test $$# -gt 0; then \
1019            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1020              "$$@" $$unique; \
1021          else \
1022            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1023              $$unique; \
1024          fi; \
1025        fi
1026ctags: ctags-recursive
1027
1028CTAGS: ctags
1029ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1030        $(am__define_uniq_tagged_files); \
1031        test -z "$(CTAGS_ARGS)$$unique" \
1032          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1033             $$unique
1034
1035GTAGS:
1036        here=`$(am__cd) $(top_builddir) && pwd` \
1037          && $(am__cd) $(top_srcdir) \
1038          && gtags -i $(GTAGS_ARGS) "$$here"
1039cscopelist: cscopelist-recursive
1040
1041cscopelist-am: $(am__tagged_files)
1042        list='$(am__tagged_files)'; \
1043        case "$(srcdir)" in \
1044          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1045          *) sdir=$(subdir)/$(srcdir) ;; \
1046        esac; \
1047        for i in $$list; do \
1048          if test -f "$$i"; then \
1049            echo "$(subdir)/$$i"; \
1050          else \
1051            echo "$$sdir/$$i"; \
1052          fi; \
1053        done >> $(top_builddir)/cscope.files
1054
1055distclean-tags:
1056        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1057
1058# Recover from deleted '.trs' file; this should ensure that
1059# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1060# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
1061# to avoid problems with "make -n".
1062.log.trs:
1063        rm -f $< $@
1064        $(MAKE) $(AM_MAKEFLAGS) $<
1065
1066# Leading 'am--fnord' is there to ensure the list of targets does not
1067# expand to empty, as could happen e.g. with make check TESTS=''.
1068am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1069am--force-recheck:
1070        @:
1071
1072$(TEST_SUITE_LOG): $(TEST_LOGS)
1073        @$(am__set_TESTS_bases); \
1074        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1075        redo_bases=`for i in $$bases; do \
1076                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1077                    done`; \
1078        if test -n "$$redo_bases"; then \
1079          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1080          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1081          if $(am__make_dryrun); then :; else \
1082            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1083          fi; \
1084        fi; \
1085        if test -n "$$am__remaking_logs"; then \
1086          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1087               "recursion detected" >&2; \
1088        elif test -n "$$redo_logs"; then \
1089          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1090        fi; \
1091        if $(am__make_dryrun); then :; else \
1092          st=0;  \
1093          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1094          for i in $$redo_bases; do \
1095            test -f $$i.trs && test -r $$i.trs \
1096              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1097            test -f $$i.log && test -r $$i.log \
1098              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1099          done; \
1100          test $$st -eq 0 || exit 1; \
1101        fi
1102        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1103        ws='[   ]'; \
1104        results=`for b in $$bases; do echo $$b.trs; done`; \
1105        test -n "$$results" || results=/dev/null; \
1106        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1107        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1108        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1109        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1110        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1111        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1112        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1113        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1114          success=true; \
1115        else \
1116          success=false; \
1117        fi; \
1118        br='==================='; br=$$br$$br$$br$$br; \
1119        result_count () \
1120        { \
1121            if test x"$$1" = x"--maybe-color"; then \
1122              maybe_colorize=yes; \
1123            elif test x"$$1" = x"--no-color"; then \
1124              maybe_colorize=no; \
1125            else \
1126              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1127            fi; \
1128            shift; \
1129            desc=$$1 count=$$2; \
1130            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1131              color_start=$$3 color_end=$$std; \
1132            else \
1133              color_start= color_end=; \
1134            fi; \
1135            echo "$${color_start}# $$desc $$count$${color_end}"; \
1136        }; \
1137        create_testsuite_report () \
1138        { \
1139          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1140          result_count $$1 "PASS: " $$pass  "$$grn"; \
1141          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1142          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1143          result_count $$1 "FAIL: " $$fail  "$$red"; \
1144          result_count $$1 "XPASS:" $$xpass "$$red"; \
1145          result_count $$1 "ERROR:" $$error "$$mgn"; \
1146        }; \
1147        {                                                               \
1148          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1149            $(am__rst_title);                                           \
1150          create_testsuite_report --no-color;                           \
1151          echo;                                                         \
1152          echo ".. contents:: :depth: 2";                               \
1153          echo;                                                         \
1154          for b in $$bases; do echo $$b; done                           \
1155            | $(am__create_global_log);                                 \
1156        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1157        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1158        if $$success; then                                              \
1159          col="$$grn";                                                  \
1160         else                                                           \
1161          col="$$red";                                                  \
1162          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1163        fi;                                                             \
1164        echo "$${col}$$br$${std}";                                      \
1165        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1166        echo "$${col}$$br$${std}";                                      \
1167        create_testsuite_report --maybe-color;                          \
1168        echo "$$col$$br$$std";                                          \
1169        if $$success; then :; else                                      \
1170          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1171          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1172            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1173          fi;                                                           \
1174          echo "$$col$$br$$std";                                        \
1175        fi;                                                             \
1176        $$success || exit 1
1177
1178check-TESTS:
1179        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1180        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1181        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1182        @set +e; $(am__set_TESTS_bases); \
1183        log_list=`for i in $$bases; do echo $$i.log; done`; \
1184        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1185        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1186        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1187        exit $$?;
1188recheck: all $(check_PROGRAMS)
1189        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1190        @set +e; $(am__set_TESTS_bases); \
1191        bases=`for i in $$bases; do echo $$i; done \
1192                 | $(am__list_recheck_tests)` || exit 1; \
1193        log_list=`for i in $$bases; do echo $$i.log; done`; \
1194        log_list=`echo $$log_list`; \
1195        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1196                am__force_recheck=am--force-recheck \
1197                TEST_LOGS="$$log_list"; \
1198        exit $$?
1199.test.log:
1200        @p='$<'; \
1201        $(am__set_b); \
1202        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1203        --log-file $$b.log --trs-file $$b.trs \
1204        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1205        "$$tst" $(AM_TESTS_FD_REDIRECT)
1206@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1207@am__EXEEXT_TRUE@       @p='$<'; \
1208@am__EXEEXT_TRUE@       $(am__set_b); \
1209@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1210@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1211@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1212@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1213
1214distdir: $(DISTFILES)
1215        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1216        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1217        list='$(DISTFILES)'; \
1218          dist_files=`for file in $$list; do echo $$file; done | \
1219          sed -e "s|^$$srcdirstrip/||;t" \
1220              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1221        case $$dist_files in \
1222          */*) $(MKDIR_P) `echo "$$dist_files" | \
1223                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1224                           sort -u` ;; \
1225        esac; \
1226        for file in $$dist_files; do \
1227          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1228          if test -d $$d/$$file; then \
1229            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1230            if test -d "$(distdir)/$$file"; then \
1231              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1232            fi; \
1233            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1234              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1235              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1236            fi; \
1237            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1238          else \
1239            test -f "$(distdir)/$$file" \
1240            || cp -p $$d/$$file "$(distdir)/$$file" \
1241            || exit 1; \
1242          fi; \
1243        done
1244        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1245          if test "$$subdir" = .; then :; else \
1246            $(am__make_dryrun) \
1247              || test -d "$(distdir)/$$subdir" \
1248              || $(MKDIR_P) "$(distdir)/$$subdir" \
1249              || exit 1; \
1250            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1251            $(am__relativize); \
1252            new_distdir=$$reldir; \
1253            dir1=$$subdir; dir2="$(top_distdir)"; \
1254            $(am__relativize); \
1255            new_top_distdir=$$reldir; \
1256            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1257            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1258            ($(am__cd) $$subdir && \
1259              $(MAKE) $(AM_MAKEFLAGS) \
1260                top_distdir="$$new_top_distdir" \
1261                distdir="$$new_distdir" \
1262                am__remove_distdir=: \
1263                am__skip_length_check=: \
1264                am__skip_mode_fix=: \
1265                distdir) \
1266              || exit 1; \
1267          fi; \
1268        done
1269check-am: all-am
1270        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1271        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1272check: check-recursive
1273all-am: Makefile $(PROGRAMS) $(SCRIPTS)
1274installdirs: installdirs-recursive
1275installdirs-am:
1276        for dir in "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(libexecdir)"; do \
1277          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1278        done
1279install: install-recursive
1280install-exec: install-exec-recursive
1281install-data: install-data-recursive
1282uninstall: uninstall-recursive
1283
1284install-am: all-am
1285        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1286
1287installcheck: installcheck-recursive
1288install-strip:
1289        if test -z '$(STRIP)'; then \
1290          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1291            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1292              install; \
1293        else \
1294          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1295            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1296            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1297        fi
1298mostlyclean-generic:
1299        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1300        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1301        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1302
1303clean-generic:
1304        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1305
1306distclean-generic:
1307        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1308        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1309
1310maintainer-clean-generic:
1311        @echo "This command is intended for maintainers to use"
1312        @echo "it deletes files that may require special tools to rebuild."
1313clean: clean-recursive
1314
1315clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1316        clean-libtool mostlyclean-am
1317
1318distclean: distclean-recursive
1319        -rm -rf ./$(DEPDIR)
1320        -rm -f Makefile
1321distclean-am: clean-am distclean-compile distclean-generic \
1322        distclean-tags
1323
1324dvi: dvi-recursive
1325
1326dvi-am:
1327
1328html: html-recursive
1329
1330html-am:
1331
1332info: info-recursive
1333
1334info-am:
1335
1336install-data-am:
1337
1338install-dvi: install-dvi-recursive
1339
1340install-dvi-am:
1341
1342install-exec-am: install-libexecPROGRAMS install-libexecSCRIPTS
1343
1344install-html: install-html-recursive
1345
1346install-html-am:
1347
1348install-info: install-info-recursive
1349
1350install-info-am:
1351
1352install-man:
1353
1354install-pdf: install-pdf-recursive
1355
1356install-pdf-am:
1357
1358install-ps: install-ps-recursive
1359
1360install-ps-am:
1361
1362installcheck-am:
1363
1364maintainer-clean: maintainer-clean-recursive
1365        -rm -rf ./$(DEPDIR)
1366        -rm -f Makefile
1367maintainer-clean-am: distclean-am maintainer-clean-generic
1368
1369mostlyclean: mostlyclean-recursive
1370
1371mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1372        mostlyclean-libtool
1373
1374pdf: pdf-recursive
1375
1376pdf-am:
1377
1378ps: ps-recursive
1379
1380ps-am:
1381
1382uninstall-am: uninstall-libexecPROGRAMS uninstall-libexecSCRIPTS
1383
1384.MAKE: $(am__recursive_targets) check-am install-am install-strip
1385
1386.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
1387        check-TESTS check-am clean clean-checkPROGRAMS clean-generic \
1388        clean-libexecPROGRAMS clean-libtool cscopelist-am ctags \
1389        ctags-am distclean distclean-compile distclean-generic \
1390        distclean-libtool distclean-tags distdir dvi dvi-am html \
1391        html-am info info-am install install-am install-data \
1392        install-data-am install-dvi install-dvi-am install-exec \
1393        install-exec-am install-html install-html-am install-info \
1394        install-info-am install-libexecPROGRAMS install-libexecSCRIPTS \
1395        install-man install-pdf install-pdf-am install-ps \
1396        install-ps-am install-strip installcheck installcheck-am \
1397        installdirs installdirs-am maintainer-clean \
1398        maintainer-clean-generic mostlyclean mostlyclean-compile \
1399        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1400        recheck tags tags-am uninstall uninstall-am \
1401        uninstall-libexecPROGRAMS uninstall-libexecSCRIPTS
1402
1403.PRECIOUS: Makefile
1404
1405
1406$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1407
1408# Tell versions [3.59,3.63) of GNU make to not export all variables.
1409# Otherwise a system limit (for SysV at least) may be exceeded.
1410.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.